@echo off

rem
rem ATAC install files
rem install.bat
rem Copyright (c) Argonaut Software, 1992
rem

if exist disk_a.id goto disk1ok

echo You must change current drive to the drive with the ATAC disc "A" in before
echo running install (e.g. type 'b:' and then type 'install').
goto done

:disk1ok

set $$adv=c:
set $$art=\mps
set $$adr=\atac
set $$alc=%$$adv%%$$art%%$$adr%

if not %$$adv%==c: goto not_env_ok
if not %$$art%==\mps goto not_env_ok
if not %$$adr%==\atac goto not_env_ok
if %$$alc%==%$$adv%%$$art%%$$adr% goto env_ok

:not_env_ok

echo;
echo There is not enough environment space on your computer for ATAC to install.
echo Please refer to your DOS manual for information on how to increase the
echo environment space.
echo;
goto done

:env_ok

call logo

echo This utility will install ATAC from the game discs to a directory called
echo '%$$art%%$$adr%' on your hard disc.
echo;
echo You need 2.3 Mbytes free space on your hard disc for ATAC to install success-
echo fully. If you do not have this much free space or you are not sure how much
echo free space you have then you should quit this program now and start again
echo once you have made sure that you do have enough space. (You can use the
echo 'chkdsk' command to find out how much free space is on your hard disc.)
echo;
echo To quit type CTRL-C now, otherwise please press the drive letter of the hard
echo disc on which to install ATAC (you will probably want to choose 'C' or 'D').
echo;
echo;

echo Which drive do you want to install ATAC on ?
getkey
echo;

call err2asc adv

call logo

rem Create ATAC dir
echo The directory %$$adv%%$$art% is being created . . .
md %$$adv%%$$art%
echo The sub-directory %$$alc% is being created . . .
md %$$alc%

rem Get sound card type

echo;
echo;
echo New ATAC directory created
pause

call logo

echo Please select a sound card for ATAC to use (you can change this option later
echo from the Options screen in ATAC).
echo;
echo Select one of the following:
echo				A - AdLib/SoundBlaster
echo				R - Roland
echo				P - PC Speaker
echo				N - no sound effects
getkey a r p n
echo;
if errorlevel 114 goto roland
if errorlevel 112 goto pc
if errorlevel 110 goto none

rem AdLib effects

call logo
echo Copying files from ATAC disk "A".
echo Please wait . . .
echo;

copy adlib.prf %$$alc%\$atac01$.prf

goto disk_1


:none
rem No sound effects

call logo
echo Copying files from ATAC disk "A".
echo Please wait . . .
echo;

copy none.prf %$$alc%\$atac01$.prf

goto disk_1


:pc
rem PC Speaker effects

call logo
echo Copying files from ATAC disk "A".
echo Please wait . . .
echo;

copy pcspkr.prf %$$alc%\$atac01$.prf

goto disk_1


:roland
rem Roland card sound effects

call logo
echo Copying files from ATAC disk "A".
echo Please wait . . .
echo;

copy roland.prf %$$alc%\$atac01$.prf


:disk_1

rem copy files from disk 1

for %%f in (atac.bat intro.exe intro.dat game.exe) do copy %%f %$$alc%

rem copy install from disk 1

copy logo.bat %$$alc%
copy install2.bat %$$alc%
%$$alc%\install2.bat

:done
